MAKE-FILE-INDEX(1)

NAME
make-file-index - creates a FramerD file index

SYNOPSIS
make-file-index filename size

DESCRIPTION
make-file-index creates a new empty FramerD file index in the file filename with at least size slots. A file index is an on-disk hashtable which can be incrementally read and modified. It is intended to support the association of single keys with multiple values and the low-cost addition of new associations with an existing key. At intervals, it may be helpful to reorganize the table by using repack-file-index(1).

OPTIONS
No options

DIAGNOSTICS
The program reports an error if filename cannot be written or if size is unreasonably large.

BUGS
No known bugs.

Revision Info
$Id: make-file-index.1,v 1.3 2002/07/10 00:13:11 haase Exp $

AUTHOR
Ken Haase < kh@beingmeta.com >

SEE ALSO
framerd(7) analyze-index(1) make-file-index(1)